Edit the current customer's review
PUT/cms/product/{id}/reviews/mine
PUT
/cms/product/{id}/reviews/mine
The review goes back to pending moderation and stops counting towards the product rating until approved again.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”object
rating
required
integer
body
required
string
Responses
Section titled “Responses”Review updated (pending moderation)
Product Review
A customer review of a product. Only approved reviews are listed publicly.
object
id
Review ID
integer format: int64
product_id
Product ID
integer format: int64
author_name
Public name of the reviewer (nickname, display name, or first and last name)
string
rating
Rating
integer
body
Review text (plain text)
string
status
Moderation status
string
timestamp
Submission date
string format: date-time
last_edited
Last edit by the customer
string format: date-time
INVALID_RATING, REVIEW_BODY_REQUIRED or REVIEW_BODY_TOO_LONG
PRODUCT_UNAVAILABLE or REVIEW_NOT_FOUND